package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridGroup;
import com.ruoyi.system.domain.grid.GridGroupExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GridGroupMapper {
    long countByExample(GridGroupExample example);

    int deleteByExample(GridGroupExample example);

    int deleteByPrimaryKey(String id);

    int insert(GridGroup record);

    int insertSelective(GridGroup record);

    List<GridGroup> selectByExample(GridGroupExample example);

    GridGroup selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") GridGroup record, @Param("example") GridGroupExample example);

    int updateByExample(@Param("record") GridGroup record, @Param("example") GridGroupExample example);

    int updateByPrimaryKeySelective(GridGroup record);

    int updateByPrimaryKey(GridGroup record);
}